import { HTMLStencilElement, LfComponent, LfComponentClassProperties } from "../foundations/components.declarations";
import { LfEventPayload } from "../foundations/events.declarations";
import { LfThemeUISize, LfThemeUIState } from "../framework/theme.declarations";
import { LF_SLIDER_EVENTS } from "./slider.constants";
export interface LfSliderInterface extends LfComponent<"LfSlider">, LfSliderPropsInterface {
}
export interface LfSliderElement extends HTMLStencilElement, Omit<LfSliderInterface, LfComponentClassProperties> {
}
export type LfSliderEvent = (typeof LF_SLIDER_EVENTS)[number];
export interface LfSliderEventPayload extends LfEventPayload<"LfSlider", LfSliderEvent> {
    value: LfSliderValue;
}
export interface LfSliderPropsInterface {
    lfLabel?: string;
    lfLeadingLabel?: boolean;
    lfMax?: number;
    lfMin?: number;
    lfRipple?: boolean;
    lfStep?: number;
    lfStyle?: string;
    lfUiSize?: LfThemeUISize;
    lfUiState?: LfThemeUIState;
    lfValue?: number;
}
export interface LfSliderValue {
    display: number;
    real: number;
}
//# sourceMappingURL=slider.declarations.d.ts.map