import { HTMLStencilElement, LfComponent, LfComponentClassProperties } from "../foundations/components.declarations";
import { LfEventPayload } from "../foundations/events.declarations";
import { LfDataDataset, LfDataNode } from "../framework/data.declarations";
import { LfThemeUISize, LfThemeUIState } from "../framework/theme.declarations";
import { LF_TABBAR_EVENTS, LF_TABBAR_SCROLL } from "./tabbar.constants";
export interface LfTabbarInterface extends LfComponent<"LfTabbar">, LfTabbarPropsInterface {
}
export interface LfTabbarElement extends HTMLStencilElement, Omit<LfTabbarInterface, LfComponentClassProperties> {
}
export type LfTabbarEvent = (typeof LF_TABBAR_EVENTS)[number];
export interface LfTabbarEventPayload extends LfEventPayload<"LfTabbar", LfTabbarEvent> {
    index?: number;
    node?: LfDataNode;
}
export type LfTabbarScroll = (typeof LF_TABBAR_SCROLL)[number];
export interface LfTabbarState {
    index?: number;
    node?: LfDataNode;
}
export interface LfTabbarPropsInterface {
    lfDataset?: LfDataDataset;
    lfNavigation?: boolean;
    lfRipple?: boolean;
    lfStyle?: string;
    lfUiSize?: LfThemeUISize;
    lfUiState?: LfThemeUIState;
    lfValue?: number | string;
}
//# sourceMappingURL=tabbar.declarations.d.ts.map