import { HTMLStencilElement, LfComponent, LfComponentClassProperties } from "../foundations/components.declarations";
import { LfEventPayload } from "../foundations/events.declarations";
import { LfFrameworkAllowedKeysMap } from "../framework/framework.declarations";
import { LfThemeUISize, LfThemeUIState } from "../framework/theme.declarations";
import { LF_TEXTFIELD_EVENTS, LF_TEXTFIELD_MODIFIERS, LF_TEXTFIELD_STYLINGS } from "./textfield.constants";
export interface LfTextfieldInterface extends LfComponent<"LfTextfield">, LfTextfieldPropsInterface {
    getValue: () => Promise<string>;
    setBlur: () => Promise<void>;
    setFocus: () => Promise<void>;
    setValue: (value: string) => Promise<void>;
}
export interface LfTextfieldElement extends HTMLStencilElement, Omit<LfTextfieldInterface, LfComponentClassProperties> {
}
export type LfTextfieldEvent = (typeof LF_TEXTFIELD_EVENTS)[number];
export interface LfTextfieldEventPayload extends LfEventPayload<"LfTextfield", LfTextfieldEvent> {
    inputValue?: string;
    target: HTMLInputElement | HTMLDivElement | HTMLTextAreaElement;
    value?: string;
}
export type LfTextfieldModifiers = (typeof LF_TEXTFIELD_MODIFIERS)[number];
export interface LfTextfieldPropsInterface {
    lfHelper?: LfTextfieldHelper;
    lfHtmlAttributes?: Partial<LfFrameworkAllowedKeysMap>;
    lfIcon?: string;
    lfLabel?: string;
    lfStretchY?: boolean;
    lfStyle?: string;
    lfStyling?: LfTextfieldStyling;
    lfTrailingIcon?: boolean;
    lfUiSize?: LfThemeUISize;
    lfUiState?: LfThemeUIState;
    lfValue?: string;
}
export interface LfTextfieldHelper {
    showWhenFocused?: boolean;
    value: string;
}
export type LfTextfieldStyling = (typeof LF_TEXTFIELD_STYLINGS)[number];
//# sourceMappingURL=textfield.declarations.d.ts.map