import type { ECElementEvent } from "echarts";
import { LfComponent, VNode } from "./components.declarations";
import { LfEvent } from "./events.declarations";
export interface LfComponentAdapter<C extends LfComponent, H = LfComponentAdapterHandlers, J = LfComponentAdapterJsx, R = LfComponentAdapterRefs, CGet = LfComponentAdapterGetters<C>, CSet = LfComponentAdapterSetters> {
    controller?: {
        get: CGet;
        set?: CSet;
    };
    elements?: {
        jsx: J;
        refs: R;
    };
    handlers?: H;
}
export type LfComponentAdapterHandler = (e?: ECElementEvent | Event | PointerEvent | LfEvent, ...args: unknown[]) => unknown | Promise<unknown>;
export type LfComponentAdapterHandlers = {
    [key: string]: LfComponentAdapterHandler | LfComponentAdapterHandlers;
};
export type LfComponentAdapterJsx = {
    [key: string]: ((...args: unknown[]) => VNode) | LfComponentAdapterJsx;
};
export type LfComponentAdapterRefs = {
    [key: string]: HTMLElement | LfComponentAdapterRefs;
};
export type LfComponentAdapterGetters<C extends LfComponent> = {
    [key: string]: unknown;
    compInstance: C;
};
export type LfComponentAdapterSetters = {
    [key: string]: ((...args: unknown[]) => void) | LfComponentAdapterSetters;
};
//# sourceMappingURL=adapter.declarations.d.ts.map