/**
 * A map of color names to their corresponding hex string values.
 *
 * This constant provides a quick reference for translating
 * human-readable color names into valid hex codes. Useful for
 * ensuring consistent color usage throughout the application.
 *
 * @constant
 * @type {Readonly<Record<string, LfColorInput>>}
 */
export declare const LF_COLOR_CODES: {
    [s: string]: `#${string}`;
};
//# sourceMappingURL=color.constants.d.ts.map